# Uses of Enum Class
org.bukkit.block.data.type.Bell.Attachment

Packages that use Bell.Attachment
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Bell.Attachment in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Bell.Attachment
Modifier and Type
Method
Description
`@NotNull Bell.Attachment`
Bell.`getAttachment()`
Gets the value of the 'attachment' property.
`static Bell.Attachment`
Bell.Attachment.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bell.Attachment[]`
Bell.Attachment.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Bell.Attachment
Modifier and Type
Method
Description
`void`
Bell.`setAttachment(@NotNull Bell.Attachment attachment)`
Sets the value of the 'attachment' property.